Rezepte
ReferenceImages

/api/v1/recipes/{id}/images/order

Reorder a recipe's images

PUT/api/v1/recipes/{id}/images/order
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/v1/recipes/string/images/order" \  -H "Content-Type: application/json" \  -d '{    "imageIds": [      "string"    ]  }'
{  "$schema": "https://example.com/api/v1/schemas/OrderResult.json",  "items": [    {      "$schema": "https://example.com/api/v1/schemas/Image.json",      "height": 0,      "id": "string",      "position": 0,      "width": 0    }  ]}